#ifndef _KYSEC_BWLIST_H
#define _KYSEC_BWLIST_H

#ifdef __cplusplus
extern "C" {
#endif


/* kylin_udeblist.xml 存放的是软件防卸载信息 */

/*
 * 创建xml文档
 * 返回值:     -1:出错 0:文档已经存在 n(>0):新建xml文档，n个字节被写入文档
 */
int kylin_udeblist_create(void);

/*
 * 添加一个防卸载节点信息到xml文件中
 * @debname:    添加到防卸载列表的包名；
 * 返回值:      0:成功，-1:出错
 */
int kylin_udeblist_add(char *debname);

/*
 * 获取防卸载开关标识
 * 返回值：0:未开启防卸载，1：开启防卸载, -1:出错
 */
int kylin_udeblist_get_root_distinguish(void);

/*
 * 设置防卸载开关标识
 * @value: 0:不开启防卸载，1：开启防卸载，其它值非法
 * 返回值：0:成功，非0:失败
 */
int kylin_udeblist_set_root_distinguish(int value);

/*
 * 获取防卸载节点数据
 * 返回值：包含防卸载名单节点中包名，count为列表中包的个数,返回的二级指针需要自己释放内存
 */
char **kylin_udeblist_read_all_node_with_uid(int *count);

/*
 * 清空列表
 *　返回值：-1失败，0 删除节点成功, n(>0):新建xml文档，n个字节被写入文档
 */
int kylin_udeblist_clear(void);

/*
 * 删除一个防卸载节点信息
 * @debname:    删除防卸载列表的包名；
 * 返回值:      0:不存在，-1:出错，1成功;
 */
int kylin_udeblist_del(char *debname);

#ifdef __cplusplus
}
#endif

#endif // _KYSEC_NETCTL_H
